=== modified file 'bzrlib/tests/test_transform.py'
--- bzrlib/tests/test_transform.py	2009-07-20 06:06:22 +0000
+++ bzrlib/tests/test_transform.py	2009-08-13 01:33:15 +0000
@@ -2146,6 +2146,7 @@
     def create_tree(self):
         tree = self.make_branch_and_tree('.')
         self.build_tree_contents([('a', 'content 1')])
+        tree.set_root_id('TREE_ROOT')
         tree.add('a', 'a-id')
         tree.commit('rev1', rev_id='rev1')
         return tree.branch.repository.revision_tree('rev1')
@@ -2667,10 +2668,12 @@
 
     def test_merge_preview_into_workingtree(self):
         tree = self.make_branch_and_tree('tree')
+        tree.set_root_id('TREE_ROOT')
         tt = TransformPreview(tree)
         self.addCleanup(tt.finalize)
         tt.new_file('name', tt.root, 'content', 'file-id')
         tree2 = self.make_branch_and_tree('tree2')
+        tree2.set_root_id('TREE_ROOT')
         pb = progress.DummyProgress()
         merger = Merger.from_uncommitted(tree2, tt.get_preview_tree(),
                                          pb, tree.basis_tree())

